### Hierarchy

- Media

## Index

### Constructors

- constructor

### Accessors

- array

### Methods

- addMedia
- addMediaWithData
- getMedia

## Constructors

### constructor

- new Media(): Media

- - Defined in file/media/media.ts:8

  #### Returns Media

## Accessors

### array

- get array(): IMediaData[]

- - Defined in file/media/media.ts:73

  #### Returns IMediaData[]

## Methods

### addMedia

- addMedia(filePath: string, referenceId: number): IMediaData

- - Defined in file/media/media.ts:24

  #### Parameters

  - ##### filePath: string

  - ##### referenceId: number

  #### Returns IMediaData

### addMediaWithData

- addMediaWithData(fileName: string, data: Buffer, referenceId: number, width?: undefined | number, height?: undefined | number): IMediaData

- - Defined in file/media/media.ts:30

  #### Parameters

  - ##### fileName: string

  - ##### data: Buffer

  - ##### referenceId: number

  - ##### Optional width: undefined | number

  - ##### Optional height: undefined | number

  #### Returns IMediaData

### getMedia

- getMedia(key: string): IMediaData

- - Defined in file/media/media.ts:14

  #### Parameters

  - ##### key: string

  #### Returns IMediaData

Generated using TypeDoc